net.i2p.BOB

## Class I2PtoTCP

- java.lang.Object
- - net.i2p.BOB.I2PtoTCP

All Implemented Interfaces:
  Runnable

    public class I2PtoTCP
    extends Object
    implements Runnable

Process I2P->TCP

Author:
  sponge

### Constructor Summary

Constructors
Constructor and Description
`I2PtoTCP(I2PSocket I2Psock, NamedDB info, NamedDB database, AtomicBoolean lives)` Constructor

### Method Summary

Methods
`void` `run()` I2P stream to TCP stream thread starter

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### I2PtoTCP

    I2PtoTCP(I2PSocket I2Psock,
            NamedDB info,
            NamedDB database,
            AtomicBoolean lives)

Constructor

Parameters:
  `I2Psock` -
  `info` -
  `database` -

### Method Detail

#### run

    public void run()

I2P stream to TCP stream thread starter

Specified by:
  `run` in interface `Runnable`